Name:    compiz-bcop
Version: 0.8.18
Release:    1%{?dist}
Summary: Compiz option code generator

License: GPLv2+
URL:     https://gitlab.com/compiz/%{name}
Source0: %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildArch:   noarch

BuildRequires: gcc
BuildRequires: libxslt-devel
BuildRequires: automake
BuildRequires: make
Requires: pkgconfig
Requires: util-linux

%description
BCOP is a code generator that provides an easy way to handle
plugin options by generating parts of the plugin code directly
from the xml metadata file.
It is used for most of the Compiz Fusion plugins


%prep
%setup -q -n %{name}-v%{version}

%build
./autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
%{make_install}


%files
%doc COPYING NEWS AUTHORS
%{_bindir}/bcop
%{_datadir}/bcop/
%{_datadir}/pkgconfig/bcop.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.18-1
- initial build
